MatchEdgeBuilder Class

class NXOpen.Features.MatchEdgeBuilder

Bases: NXOpen.Features.FeatureBuilder

Represents a NXOpen.Features.MatchEdge builder

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateMatchEdgeBuilder()

Default values.

Property Value
Blend.Value 100
CanUseFaceFinder 0
DegreePatches.Degree 3
DegreePatches.SegmentsOrPatches 1
DegreePatches.UDegree 5
DegreePatches.UPatches 1
DegreePatches.VDegree 5
DegreePatches.VPatches 1
EdgeLimit.AnchorPosition Start
EndEdgeConstraint Linked
FaceRecognizer.CoaxialEnabled 0
FaceRecognizer.CoplanarAxesEnabled 0
FaceRecognizer.CoplanarEnabled 0
FaceRecognizer.EqualDiameterEnabled 0
FaceRecognizer.OffsetEnabled 0
FaceRecognizer.ParallelEnabled 0
FaceRecognizer.PerpendicularEnabled 0
FaceRecognizer.SymmetricEnabled 0
FaceRecognizer.TangentEnabled 0
FaceRecognizer.ThicknessChainEnabled 0
FaceRecognizer.UseFaceBrowse 1
IsBlendEnabled 0
IsEditPoleEnabled 0
IsEndEdgeLocked 0
IsEndPoleFixed 0
IsG0Continuity 1
IsG1Continuity 1
IsG2Continuity 0
IsG3Continuity 0
IsKeepSelected 0
IsMatchEndToEnd 0
IsStartEdgeLocked 0
IsStartPoleFixed 0
MatchExactType None
PartialMatch 100
PoleMoveDirectionEnum X
PoleMovementConstraintType Project
StartEdgeConstraint Free

New in version NX6.0.0.

Properties

Property Description
Blend Returns the blend
CanUseFaceFinder Returns or sets the synchronous mode
ControlPoleManager Returns the control pole manager
DegreePatches Returns the degree and patches
DepthSkew Returns the depth skew
DistanceTolerance Returns or sets the tolerance for extracting BSurface from a face
EdgeLimit Returns the edge limit
EdgeOffsetPosition Returns the edge offset position
EndEdgeConstraint Returns or sets the value indicating type of the end edge constraint
FaceRecognizer Returns the face recognition
FlipTargetCurveOrientation Returns or sets the target curve projection orientation
IsBlendEnabled Returns or sets the value indicating if the matching is to be performed with blending
IsCreateCopy Returns or sets the new copy of match edge surface
IsEditPoleEnabled Returns or sets the poles edit state
IsEndEdgeLocked Returns or sets the end edge locked state
IsEndPoleFixed Returns or sets the value indicating if end pole is fixed
IsG0Continuity Returns or sets the g0 continuity
IsG1Continuity Returns or sets the g1 continuity
IsG2Continuity Returns or sets the g2 continuity
IsG3Continuity Returns or sets the g3 continuity
IsKeepSelected Returns or sets the value indicating if the selections are to be maintained across the sessions of the command
IsMatchEndToEnd Returns or sets the match end to end state
IsStartEdgeLocked Returns or sets the start edge locked state
IsStartPoleFixed Returns or sets the value indicating if start pole is fixed
MatchExactType Returns or sets the value indicating type of exact match
ObjectToEdit Returns the edge to edit
OppositeEdgeConstraint Returns the start continuity constraint for matched surface
ParentFeatureInternal Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal
PartialMatch Returns or sets the partial match
PatchSolutionFlag Returns or sets the patch solution flag
PatchSurfaceFilename Returns or sets the patch surface filename
PoleMoveDirectionEnum Returns or sets the value indicating the direction of pole movement
PoleMoveDirectionVector Returns or sets the pole move direction vector
PoleMovementConstraintType Returns or sets the value indicating type of pole movement constraint
StartEdgeConstraint Returns or sets the value indicating type of the start edge constraint
SurroundingPatchSurfaceFilename Returns or sets the surrounding patch surface filename
Tag Returns the Tag for this object.
TangentDirectionVector Returns or sets the tangent direction vector
TargetObjects Returns the target object that the edge is matching to
Type Returns or sets the type

Methods

Method Description
Commit Commits any edits that have been applied to the builder.
CommitFeature Commits the feature parameters and creates the feature @return
Destroy Deletes the builder, and cleans up any objects created by the builder.
EditPoleUpdateSurface Updates surface during edit pole.
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetFeature Returns the feature currently being edited by this builder.
GetObject Returns the object currently being edited by this builder.
HideInternalParentFeatureAfterEdit Re-suppress an internal parent feature (a slave feature) after it has been edited.
LoadEditEdge Loads editing edge related internal data and should be called after selection of edge or face to match to
ResetEditPoles Resets surface during edit pole.
SetParentFeatureInternal Set the parent features which would be internal or slaves to the feature being created or commited
SetSelectedEditEdgeAndFace Sets edge and face
SetupPoleEditing Sets up surface pole editing.
ShowInternalParentFeatureForEdit Unsuppress an internal parent feature (a slave feature) so it can be edited.
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
UnsetParentFeatureInternal Set the internal parent feature of the feature being edited to external
UpdateOriginalMatchSurface Update original match surface geometry
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Property Detail

Blend

MatchEdgeBuilder.Blend

Returns the blend

-------------------------------------

Getter Method

Signature Blend()

Returns:
Return type:NXOpen.Expression

New in version NX7.0.0.

License requirements: None.

CanUseFaceFinder

MatchEdgeBuilder.CanUseFaceFinder

Returns or sets the synchronous mode

-------------------------------------

Getter Method

Signature CanUseFaceFinder()

Returns:
Return type:bool

New in version NX7.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature CanUseFaceFinder(canUseFaceFinder)

Parameters:canUseFaceFinder (bool) –

New in version NX7.5.0.

License requirements: features_modeling (“FEATURES MODELING”) OR studio_free_form (“STUDIO FREE FORM”)

ControlPoleManager

MatchEdgeBuilder.ControlPoleManager

Returns the control pole manager

-------------------------------------

Getter Method

Signature ControlPoleManager()

Returns:
Return type:NXOpen.GeometricUtilities.ControlPoleManagerData

New in version NX6.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR studio_free_form (“STUDIO FREE FORM”)

DegreePatches

MatchEdgeBuilder.DegreePatches

Returns the degree and patches

-------------------------------------

Getter Method

Signature DegreePatches()

Returns:
Return type:NXOpen.GeometricUtilities.DegreesAndSegmentsOrPatchesBuilder

New in version NX6.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR studio_free_form (“STUDIO FREE FORM”)

DepthSkew

MatchEdgeBuilder.DepthSkew

Returns the depth skew

-------------------------------------

Getter Method

Signature DepthSkew()

Returns:
Return type:NXOpen.GeometricUtilities.DepthSkewBuilder

New in version NX7.0.0.

License requirements: None.

DistanceTolerance

MatchEdgeBuilder.DistanceTolerance

Returns or sets the tolerance for extracting BSurface from a face

-------------------------------------

Getter Method

Signature DistanceTolerance()

Returns:
Return type:float

New in version NX7.5.0.

License requirements: features_modeling (“FEATURES MODELING”) OR studio_free_form (“STUDIO FREE FORM”)

-------------------------------------

Setter Method

Signature DistanceTolerance(tolerance)

Parameters:tolerance (float) –

New in version NX7.5.0.

License requirements: features_modeling (“FEATURES MODELING”) OR studio_free_form (“STUDIO FREE FORM”)

EdgeLimit

MatchEdgeBuilder.EdgeLimit

Returns the edge limit

-------------------------------------

Getter Method

Signature EdgeLimit()

Returns:
Return type:NXOpen.GeometricUtilities.CurveRangeBuilder

New in version NX6.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR studio_free_form (“STUDIO FREE FORM”)

EdgeOffsetPosition

MatchEdgeBuilder.EdgeOffsetPosition

Returns the edge offset position

-------------------------------------

Getter Method

Signature EdgeOffsetPosition()

Returns:
Return type:NXOpen.GeometricUtilities.OnPathDimensionBuilder

New in version NX6.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR studio_free_form (“STUDIO FREE FORM”)

EndEdgeConstraint

MatchEdgeBuilder.EndEdgeConstraint

Returns or sets the value indicating type of the end edge constraint

-------------------------------------

Getter Method

Signature EndEdgeConstraint()

Returns:
Return type:NXOpen.Features.MatchEdgeBuilderEdgeConstraintType

New in version NX7.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature EndEdgeConstraint(endEdgeConstraint)

Parameters:endEdgeConstraint (NXOpen.Features.MatchEdgeBuilderEdgeConstraintType) –

New in version NX7.0.0.

License requirements: features_modeling (“FEATURES MODELING”) OR studio_free_form (“STUDIO FREE FORM”)

FaceRecognizer

MatchEdgeBuilder.FaceRecognizer

Returns the face recognition

-------------------------------------

Getter Method

Signature FaceRecognizer()

Returns:
Return type:NXOpen.Features.FaceRecognitionBuilder

New in version NX7.5.0.

License requirements: None.

FlipTargetCurveOrientation

MatchEdgeBuilder.FlipTargetCurveOrientation

Returns or sets the target curve projection orientation

-------------------------------------

Getter Method

Signature FlipTargetCurveOrientation()

Returns:
Return type:bool

New in version NX7.5.2.

License requirements: features_modeling (“FEATURES MODELING”) OR studio_free_form (“STUDIO FREE FORM”)

-------------------------------------

Setter Method

Signature FlipTargetCurveOrientation(flip)

Parameters:flip (bool) –

New in version NX7.5.2.

License requirements: features_modeling (“FEATURES MODELING”) OR studio_free_form (“STUDIO FREE FORM”)

IsBlendEnabled

MatchEdgeBuilder.IsBlendEnabled

Returns or sets the value indicating if the matching is to be performed with blending

-------------------------------------

Getter Method

Signature IsBlendEnabled()

Returns:
Return type:bool

New in version NX7.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature IsBlendEnabled(isBlendEnabled)

Parameters:isBlendEnabled (bool) –

New in version NX7.0.0.

License requirements: features_modeling (“FEATURES MODELING”) OR studio_free_form (“STUDIO FREE FORM”)

IsCreateCopy

MatchEdgeBuilder.IsCreateCopy

Returns or sets the new copy of match edge surface

-------------------------------------

Getter Method

Signature IsCreateCopy()

Returns:
Return type:bool

New in version NX6.0.1.

License requirements: features_modeling (“FEATURES MODELING”)

-------------------------------------

Setter Method

Signature IsCreateCopy(createCopy)

Parameters:createCopy (bool) –

New in version NX6.0.1.

License requirements: features_modeling (“FEATURES MODELING”)

IsEditPoleEnabled

MatchEdgeBuilder.IsEditPoleEnabled

Returns or sets the poles edit state

-------------------------------------

Getter Method

Signature IsEditPoleEnabled()

Returns:
Return type:bool

New in version NX6.0.0.

License requirements: features_modeling (“FEATURES MODELING”)

-------------------------------------

Setter Method

Signature IsEditPoleEnabled(enable)

Parameters:enable (bool) –

New in version NX6.0.0.

License requirements: features_modeling (“FEATURES MODELING”)

IsEndEdgeLocked

MatchEdgeBuilder.IsEndEdgeLocked

Returns or sets the end edge locked state

-------------------------------------

Getter Method

Signature IsEndEdgeLocked()

Returns:
Return type:bool

New in version NX6.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR studio_free_form (“STUDIO FREE FORM”)

-------------------------------------

Setter Method

Signature IsEndEdgeLocked(lockEndEdge)

Parameters:lockEndEdge (bool) –

New in version NX6.0.0.

License requirements: features_modeling (“FEATURES MODELING”)

IsEndPoleFixed

MatchEdgeBuilder.IsEndPoleFixed

Returns or sets the value indicating if end pole is fixed

-------------------------------------

Getter Method

Signature IsEndPoleFixed()

Returns:
Return type:bool

New in version NX7.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature IsEndPoleFixed(fixEndPole)

Parameters:fixEndPole (bool) –

New in version NX7.0.0.

License requirements: features_modeling (“FEATURES MODELING”) OR studio_free_form (“STUDIO FREE FORM”)

IsG0Continuity

MatchEdgeBuilder.IsG0Continuity

Returns or sets the g0 continuity

-------------------------------------

Getter Method

Signature IsG0Continuity()

Returns:
Return type:bool

New in version NX6.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR studio_free_form (“STUDIO FREE FORM”)

-------------------------------------

Setter Method

Signature IsG0Continuity(g0Continuity)

Parameters:g0Continuity (bool) –

New in version NX6.0.0.

License requirements: features_modeling (“FEATURES MODELING”)

IsG1Continuity

MatchEdgeBuilder.IsG1Continuity

Returns or sets the g1 continuity

-------------------------------------

Getter Method

Signature IsG1Continuity()

Returns:
Return type:bool

New in version NX6.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR studio_free_form (“STUDIO FREE FORM”)

-------------------------------------

Setter Method

Signature IsG1Continuity(g1Continuity)

Parameters:g1Continuity (bool) –

New in version NX6.0.0.

License requirements: features_modeling (“FEATURES MODELING”)

IsG2Continuity

MatchEdgeBuilder.IsG2Continuity

Returns or sets the g2 continuity

-------------------------------------

Getter Method

Signature IsG2Continuity()

Returns:
Return type:bool

New in version NX6.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR studio_free_form (“STUDIO FREE FORM”)

-------------------------------------

Setter Method

Signature IsG2Continuity(g2Continuity)

Parameters:g2Continuity (bool) –

New in version NX6.0.0.

License requirements: features_modeling (“FEATURES MODELING”)

IsG3Continuity

MatchEdgeBuilder.IsG3Continuity

Returns or sets the g3 continuity

-------------------------------------

Getter Method

Signature IsG3Continuity()

Returns:
Return type:bool

New in version NX6.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR studio_free_form (“STUDIO FREE FORM”)

-------------------------------------

Setter Method

Signature IsG3Continuity(g3Continuity)

Parameters:g3Continuity (bool) –

New in version NX6.0.0.

License requirements: features_modeling (“FEATURES MODELING”)

IsKeepSelected

MatchEdgeBuilder.IsKeepSelected

Returns or sets the value indicating if the selections are to be maintained across the sessions of the command

-------------------------------------

Getter Method

Signature IsKeepSelected()

Returns:
Return type:bool

New in version NX7.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature IsKeepSelected(isKeepSelected)

Parameters:isKeepSelected (bool) –

New in version NX7.0.0.

License requirements: features_modeling (“FEATURES MODELING”) OR studio_free_form (“STUDIO FREE FORM”)

IsMatchEndToEnd

MatchEdgeBuilder.IsMatchEndToEnd

Returns or sets the match end to end state

-------------------------------------

Getter Method

Signature IsMatchEndToEnd()

Returns:
Return type:bool

New in version NX6.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR studio_free_form (“STUDIO FREE FORM”)

-------------------------------------

Setter Method

Signature IsMatchEndToEnd(isMatchEndToEnd)

Parameters:isMatchEndToEnd (bool) –

New in version NX6.0.0.

License requirements: features_modeling (“FEATURES MODELING”)

IsStartEdgeLocked

MatchEdgeBuilder.IsStartEdgeLocked

Returns or sets the start edge locked state

-------------------------------------

Getter Method

Signature IsStartEdgeLocked()

Returns:
Return type:bool

New in version NX6.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR studio_free_form (“STUDIO FREE FORM”)

-------------------------------------

Setter Method

Signature IsStartEdgeLocked(isStartEdgeLocked)

Parameters:isStartEdgeLocked (bool) –

New in version NX6.0.0.

License requirements: features_modeling (“FEATURES MODELING”)

IsStartPoleFixed

MatchEdgeBuilder.IsStartPoleFixed

Returns or sets the value indicating if start pole is fixed

-------------------------------------

Getter Method

Signature IsStartPoleFixed()

Returns:
Return type:bool

New in version NX7.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature IsStartPoleFixed(fixStartPole)

Parameters:fixStartPole (bool) –

New in version NX7.0.0.

License requirements: features_modeling (“FEATURES MODELING”) OR studio_free_form (“STUDIO FREE FORM”)

MatchExactType

MatchEdgeBuilder.MatchExactType

Returns or sets the value indicating type of exact match

-------------------------------------

Getter Method

Signature MatchExactType()

Returns:
Return type:NXOpen.Features.MatchEdgeBuilderMatchExact

New in version NX7.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature MatchExactType(matchExact)

Parameters:matchExact (NXOpen.Features.MatchEdgeBuilderMatchExact) –

New in version NX7.0.0.

License requirements: features_modeling (“FEATURES MODELING”) OR studio_free_form (“STUDIO FREE FORM”)

ObjectToEdit

MatchEdgeBuilder.ObjectToEdit

Returns the edge to edit

-------------------------------------

Getter Method

Signature ObjectToEdit()

Returns:
Return type:NXOpen.SelectNXObject

New in version NX6.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR studio_free_form (“STUDIO FREE FORM”)

OppositeEdgeConstraint

MatchEdgeBuilder.OppositeEdgeConstraint

Returns the start continuity constraint for matched surface

-------------------------------------

Getter Method

Signature OppositeEdgeConstraint()

Returns:
Return type:NXOpen.GeometricUtilities.Continuity

New in version NX6.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR studio_free_form (“STUDIO FREE FORM”)

PartialMatch

MatchEdgeBuilder.PartialMatch

Returns or sets the partial match

-------------------------------------

Getter Method

Signature PartialMatch()

Returns:
Return type:int

New in version NX7.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature PartialMatch(partialMatch)

Parameters:partialMatch (int) –

New in version NX7.0.0.

License requirements: features_modeling (“FEATURES MODELING”) OR studio_free_form (“STUDIO FREE FORM”)

PoleMoveDirectionEnum

MatchEdgeBuilder.PoleMoveDirectionEnum

Returns or sets the value indicating the direction of pole movement

-------------------------------------

Getter Method

Signature PoleMoveDirectionEnum()

Returns:
Return type:NXOpen.Features.MatchEdgeBuilderPoleMoveDirection

New in version NX7.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature PoleMoveDirectionEnum(poleMoveDirectionEnum)

Parameters:poleMoveDirectionEnum (NXOpen.Features.MatchEdgeBuilderPoleMoveDirection) –

New in version NX7.0.0.

License requirements: features_modeling (“FEATURES MODELING”) OR studio_free_form (“STUDIO FREE FORM”)

PoleMoveDirectionVector

MatchEdgeBuilder.PoleMoveDirectionVector

Returns or sets the pole move direction vector

-------------------------------------

Getter Method

Signature PoleMoveDirectionVector()

Returns:
Return type:NXOpen.Direction

New in version NX7.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR studio_free_form (“STUDIO FREE FORM”)

-------------------------------------

Setter Method

Signature PoleMoveDirectionVector(poleMoveDirectionVector)

Parameters:poleMoveDirectionVector (NXOpen.Direction) –

New in version NX7.0.0.

License requirements: features_modeling (“FEATURES MODELING”) OR studio_free_form (“STUDIO FREE FORM”)

PoleMovementConstraintType

MatchEdgeBuilder.PoleMovementConstraintType

Returns or sets the value indicating type of pole movement constraint

-------------------------------------

Getter Method

Signature PoleMovementConstraintType()

Returns:
Return type:NXOpen.Features.MatchEdgeBuilderPoleMovementConstraintEnumType

New in version NX7.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR studio_free_form (“STUDIO FREE FORM”)

-------------------------------------

Setter Method

Signature PoleMovementConstraintType(poleMovementConstraint)

Parameters:poleMovementConstraint (NXOpen.Features.MatchEdgeBuilderPoleMovementConstraintEnumType) –

New in version NX7.0.0.

License requirements: features_modeling (“FEATURES MODELING”)

StartEdgeConstraint

MatchEdgeBuilder.StartEdgeConstraint

Returns or sets the value indicating type of the start edge constraint

-------------------------------------

Getter Method

Signature StartEdgeConstraint()

Returns:
Return type:NXOpen.Features.MatchEdgeBuilderEdgeConstraintType

New in version NX7.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature StartEdgeConstraint(startEdgeConstraint)

Parameters:startEdgeConstraint (NXOpen.Features.MatchEdgeBuilderEdgeConstraintType) –

New in version NX7.0.0.

License requirements: features_modeling (“FEATURES MODELING”) OR studio_free_form (“STUDIO FREE FORM”)

TangentDirectionVector

MatchEdgeBuilder.TangentDirectionVector

Returns or sets the tangent direction vector

-------------------------------------

Getter Method

Signature TangentDirectionVector()

Returns:
Return type:NXOpen.Direction

New in version NX7.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature TangentDirectionVector(tangentDirectionVector)

Parameters:tangentDirectionVector (NXOpen.Direction) –

New in version NX7.0.0.

License requirements: features_modeling (“FEATURES MODELING”) OR studio_free_form (“STUDIO FREE FORM”)

TargetObjects

MatchEdgeBuilder.TargetObjects

Returns the target object that the edge is matching to

-------------------------------------

Getter Method

Signature TargetObjects()

Returns:
Return type:NXOpen.SelectDisplayableObjectList

New in version NX6.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR studio_free_form (“STUDIO FREE FORM”)

Type

MatchEdgeBuilder.Type

Returns or sets the type

-------------------------------------

Getter Method

Signature Type()

Returns:
Return type:NXOpen.Features.MatchEdgeBuilderTypes

New in version NX6.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR studio_free_form (“STUDIO FREE FORM”)

-------------------------------------

Setter Method

Signature Type(type)

Parameters:type (NXOpen.Features.MatchEdgeBuilderTypes) –

New in version NX6.0.0.

License requirements: features_modeling (“FEATURES MODELING”)

Method Detail

EditPoleUpdateSurface

MatchEdgeBuilder.EditPoleUpdateSurface

Updates surface during edit pole.

This function is used only in pole editing stage and after poles are moved to new positions. This function updates the surface according to the new pole positions.

Signature EditPoleUpdateSurface()

New in version NX6.0.0.

License requirements: features_modeling (“FEATURES MODELING”)

LoadEditEdge

MatchEdgeBuilder.LoadEditEdge

Loads editing edge related internal data and should be called after selection of edge or face to match to

Signature LoadEditEdge()

New in version NX6.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR studio_free_form (“STUDIO FREE FORM”)

ResetEditPoles

MatchEdgeBuilder.ResetEditPoles

Resets surface during edit pole.

This function resets the surface control poles to their initial positions.

Signature ResetEditPoles()

New in version NX7.0.0.

License requirements: features_modeling (“FEATURES MODELING”) OR studio_free_form (“STUDIO FREE FORM”)

SetSelectedEditEdgeAndFace

MatchEdgeBuilder.SetSelectedEditEdgeAndFace

Sets edge and face

Signature SetSelectedEditEdgeAndFace(edge, face)

Parameters:

New in version NX7.5.0.

License requirements: features_modeling (“FEATURES MODELING”) OR studio_free_form (“STUDIO FREE FORM”)

SetupPoleEditing

MatchEdgeBuilder.SetupPoleEditing

Sets up surface pole editing.

This should be called before getting into pole editing function to prepare necessary settings to start surface pole edit.

Signature SetupPoleEditing()

New in version NX6.0.0.

License requirements: features_modeling (“FEATURES MODELING”)

UpdateOriginalMatchSurface

MatchEdgeBuilder.UpdateOriginalMatchSurface

Update original match surface geometry

Signature UpdateOriginalMatchSurface()

New in version NX7.5.2.

License requirements: features_modeling (“FEATURES MODELING”) OR studio_free_form (“STUDIO FREE FORM”)

Validate

MatchEdgeBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.